<?php
/**
 * Google Trends Shortcode
 *
 * This plugin embeds a Google Trends graph to display using a shortcode.
 *
 * @package   Google Trends Shortcode
 * @author    Joan Boluda <joan@boluda.com>
 * @license   GPL-2.0+
 * @link      http://boluda.com
 * @copyright 2013 boluda.com
 *
 * @wordpress-plugin
 * Plugin Name: Google Trends Shortcode
 * Plugin URI:  http://boluda.com/
 * Description: This plugin embeds a Google Trends graph to display using a shortcode.
 * Version:     1.6
 * Author:      Joan Boluda
 * Author URI:  http://boluda.com
 * Text Domain: boluda-gts
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path: /lang
 */

//Google Trends Shortcode

function google_trends_sc($atts){
        extract( shortcode_atts( array(
                'w' => '500',           // width of the graph
                'h' => '330',           // height of the graph
                'q' => '',              // query separated by comas
                'geo' => 'US',          // location
        ), $atts ) );
        
        //format input
        
        $h=(int)$h;
        $w=(int)$w;
        $q=esc_attr($q);
        $geo=esc_attr($geo);
        ob_start();
?>
<script type="text/javascript" src="http://www.google.com/trends/embed.js?hl=en-US&q=<?php echo $q;?>&geo=<?php echo $geo;?>&cmpt=q&content=1&cid=TIMESERIES_GRAPH_0&export=5&w=<?php echo $w;?>&h=<?php echo $h;?>"></script>
<?php
return ob_get_clean();
}
add_shortcode("trends","google_trends_sc");